SETARCH(8)

NOM
setarch - Modifier l'architecture signalée dans un nouvel environnement de programme

SYNOPSIS
setarch <arch> [options] [programme [arguments]] arch [options] [programme [arguments]]

DESCRIPTION
setarch n'affecte actuellement que la sortie de uname -m. Par exemple, sur un système AMD64, exécuter « setarch i386 programme » fera que « programme » verra i686 (ou une autre architecture pertinente) à la place d'une machine de type x86_64. Il permet aussi de définir diverses options de personnalité. Le programme par défaut est /bin/sh.

OPTIONS

-v  Mode volubile.

-h, --help
    Afficher l'aide (celle-ci est également affichée si setarch n'a pas d'argument.

-3, --3gb
    Indiquer que les processus ne peuvent utiliser qu'un maximum de 3Go d'espace d'adressage sur les systèmes qui le prennent en charge (ADDR_LIMIT_3GB).

-B  Activer ADDR_LIMIT_32BIT.

-F  Les pointeurs de fonctions en espace utilisateur pointent vers des descripteurs (activer FDPIC_FUNCPTRS).

-I  Activer SHORT_INODE.

-L  Modifier la manière dont est allouée la mémoire virtuelle (activer ADDR_COMPAT_LAYOUT).

-R  Déactiver le caractère aléatoire de l'espace d'adresse virtuelle (activer ADDR_NO_RANDOMIZE).

-S  Activer WHOLE_SECONDS.

-T  Activer STICKY_TIMEOUTS.

-X  Activer READ_IMPLIES_EXEC.

-Z  Activer MMAP_PAGE_ZERO.

EXEMPLE
setarch ppc32 rpmbuild --target=ppc --rebuild foo.src.rpm
setarch ppc32 -v -vL3 rpmbuild --target=ppc --rebuild bar.src.rpm

AUTEURS
Elliot Lee <sopwith@redhat.com>
Jindrich Novy <jnovy@redhat.com>

DISPONIBILITÉ
La commande setarch fait partie du paquetage util-linux-ng et est disponible à l'adresse ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

TRADUCTION
Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 setarch ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.